Information about non-purchase or refund
The method is available for all models.
If you are using an API Key token, one of the accesses in the list is required to call the method
- inventory-and-order-processing — Order processing and inventory
- inventory-and-order-processing:read-only — View order information
- all-methods — Full account management
- all-methods:read-only — View all data
Receives information on one non-purchase or refund.
Подключите API-уведомления
Yandex.Market will send you a request. POST notification when there is a new non-purchase or refund.
⚙️ Limit: 7 000 requests per hour |
|---|
Request
GET
https://api.partner.market.yandex.ru/v2/campaigns/{campaignId}/orders/{orderId}/returns/{returnId}
Path parameters
|
Name |
Description |
|
campaignId |
Type: integer The ID of the campaign (store) — The technical identifier that represents your store in the Yandex Market system when working through the API. It is uniquely linked to your store, but it is intended only for automated interaction. You can find it using a query GET v2/campaigns or find it in the seller's office on the Market. Click on your account icon → Settings and in the menu on the left, select APIs and modules:
⚠️ Do not confuse it with:
Min value: |
|
orderId |
Type: integer The order ID. |
|
returnId |
Type: integer ID of a non-purchase or refund. |
Responses
200 OK
Non-purchase or refund details.
Body
application/json
{
"status": "OK",
"result": {
"id": 0,
"orderId": 0,
"creationDate": "2020-02-02T14:30:30+03:00",
"updateDate": "2020-02-02T14:30:30+03:00",
"refundStatus": "STARTED_BY_USER",
"logisticPickupPoint": {
"id": 0,
"name": "example",
"address": {
"country": "Россия",
"city": "Москва",
"street": "Стрелецкая улица",
"house": "9к2",
"postcode": "123518"
},
"instruction": "example",
"type": "WAREHOUSE",
"logisticPartnerId": 0
},
"pickupTillDate": "2020-02-02T14:30:30+03:00",
"shipmentRecipientType": "SHOP",
"shipmentStatus": "CREATED",
"refundAmount": 0,
"amount": {
"value": 0.5,
"currencyId": "RUR"
},
"items": [
{
"marketSku": 1,
"shopSku": "example",
"count": 0,
"decisions": [
null
],
"instances": [
null
],
"tracks": [
null
]
}
],
"returnType": "UNREDEEMED",
"fastReturn": true
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
result
Type: object
id
Type: integer
ID of a non-purchase or refund.
items
Type: object[]
count
Type: integer
The number of product units.
shopSku
Type: string
Your SKU — the product ID in your system.
Usage rules SKU:
-
For each product SKU there must be one.
-
Already set SKU it cannot be released and reused for another product. Each product should receive a new identifier that has never been used in your catalog before.
SKU The product can be changed in the seller's account on the Market. Read about how to do this. in the Help of the Market for sellers.
Warning
Spaces at the beginning and end of the value are automatically deleted. For example,
" SKU123 "and"SKU123"they will be treated as identical values.What is SKU and how to assign it
Min length:
1Max length:
255Pattern:
^(?=.*\S.*)[^\x00-\x08\x0A-\x1f\x7f]{1,255}$Example:
exampledecisions
Type: object[]
amount
Type: object
currencyId
Type: string
Currency codes:
RUR— the Russian ruble.UAH— the Ukrainian hryvnia.BYR— the Belarusian ruble.KZT— Kazakhstani tenge.UZS— Uzbek sum.
Enum:
RUR,USD,EUR,UAH,AUD,GBP,BYR,BYN,DKK,ISK,KZT,CAD,CNY,NOK,XDR,SGD,TRY,SEK,CHF,JPY,AZN,ALL,DZD,AOA,ARS,AMD,AFN,BHD,BGN,BOB,BWP,BND,BRL,BIF,HUF,VEF,KPW,VND,GMD,GHS,GNF,HKD,GEL,AED,EGP,ZMK,ILS,INR,IDR,JOD,IQD,IRR,YER,QAR,KES,KGS,COP,CDF,CRC,KWD,CUP,LAK,LVL,SLL,LBP,LYD,SZL,LTL,MUR,MRO,MKD,MWK,MGA,MYR,MAD,MXN,MZN,MDL,MNT,NPR,NGN,NIO,NZD,OMR,PKR,PYG,PEN,PLN,KHR,SAR,RON,SCR,SYP,SKK,SOS,SDG,SRD,TJS,THB,TWD,BDT,TZS,TND,TMM,UGX,UZS,UYU,PHP,DJF,XAF,XOF,HRK,CZK,CLP,LKR,EEK,ETB,RSD,ZAR,KRW,NAD,TL,UEvalue
Type: number
Meaning.
Currency and its value.
Example
{ "value": 0.5, "currencyId": "RUR" }comment
Type: string
Comment.
Example:
examplecount
Type: integer
The number of product units.
decisionType
Type: string
Refund decision:
-
FAST_REFUND_MONEY— return the money to the buyer without returning the product. -
REFUND_MONEY— refund the money for the product to the buyer. -
REFUND_MONEY_INCLUDING_SHIPMENT— refund the buyer the money for the product and the return shipment. -
REPAIR— repair the product. -
REPLACE— replace the product. -
SEND_TO_EXAMINATION— take the product for examination. -
DECLINE_REFUND— refuse a refund. -
PARTIAL_MONEY_REFUND— partial refund. -
OTHER_DECISION— another solution. -
UNKNOWN— not specified.
Enum:
FAST_REFUND_MONEY,REFUND_MONEY,REFUND_MONEY_INCLUDING_SHIPMENT,REPAIR,REPLACE,SEND_TO_EXAMINATION,DECLINE_REFUND,PARTIAL_MONEY_REFUND,OTHER_DECISION,UNKNOWNimages
Type: string[] | null
A list of hash codes of product photos from the buyer.
Min items:
1Unique items:
trueExample
[ "example" ]partnerCompensation
Type: integer
Вместо него используйте
partnerCompensationAmount.Compensation for return shipping in pennies.
partnerCompensationAmount
Type: object
currencyId
Type: string
Currency codes:
RUR— the Russian ruble.UAH— the Ukrainian hryvnia.BYR— the Belarusian ruble.KZT— Kazakhstani tenge.UZS— Uzbek sum.
Enum:
RUR,USD,EUR,UAH,AUD,GBP,BYR,BYN,DKK,ISK,KZT,CAD,CNY,NOK,XDR,SGD,TRY,SEK,CHF,JPY,AZN,ALL,DZD,AOA,ARS,AMD,AFN,BHD,BGN,BOB,BWP,BND,BRL,BIF,HUF,VEF,KPW,VND,GMD,GHS,GNF,HKD,GEL,AED,EGP,ZMK,ILS,INR,IDR,JOD,IQD,IRR,YER,QAR,KES,KGS,COP,CDF,CRC,KWD,CUP,LAK,LVL,SLL,LBP,LYD,SZL,LTL,MUR,MRO,MKD,MWK,MGA,MYR,MAD,MXN,MZN,MDL,MNT,NPR,NGN,NIO,NZD,OMR,PKR,PYG,PEN,PLN,KHR,SAR,RON,SCR,SYP,SKK,SOS,SDG,SRD,TJS,THB,TWD,BDT,TZS,TND,TMM,UGX,UZS,UYU,PHP,DJF,XAF,XOF,HRK,CZK,CLP,LKR,EEK,ETB,RSD,ZAR,KRW,NAD,TL,UEvalue
Type: number
Meaning.
Currency and its value.
Example
{ "value": 0.5, "currencyId": "RUR" }reasonType
Type: string
Reasons for the refund:
-
BAD_QUALITY— defective product (there are disadvantages). -
DOES_NOT_FIT— the product did not fit. -
WRONG_ITEM— The wrong product was delivered. -
DAMAGE_DELIVERY— the product is damaged during delivery. -
LOYALTY_FAIL— it is impossible to identify the perpetrator of the marriage/re-abortion. -
CONTENT_FAIL— an erroneous product description is the fault of Yandex.Market. -
DELIVERY_FAIL— the product was not delivered. -
UNKNOWN— the reason is not known.
Enum:
BAD_QUALITY,DOES_NOT_FIT,WRONG_ITEM,DAMAGE_DELIVERY,LOYALTY_FAIL,CONTENT_FAIL,DELIVERY_FAIL,UNKNOWNrefundAmount
Type: integer
Вместо него используйте
amount.The refund amount is in kopecks.
returnItemId
Type: integer
The product ID in the refund.
subreasonType
Type: string
Details of the reasons for the refund:
-
DOES_NOT_FIT:USER_DID_NOT_LIKE— I didn't like the product.USER_CHANGED_MIND— changed my mind about buying.DELIVERED_TOO_LONG— I changed my mind about buying because of the long delivery time.
-
BAD_QUALITY:BAD_PACKAGE— the factory packaging is damaged.DAMAGED— scratches, chips.NOT_WORKING— won't turn on, won't work.INCOMPLETENESS— incomplete (there are not enough parts in the set for the product).WRAPPING_DAMAGED— The shipping package is damaged.ITEM_WAS_USED— traces of use on the product.BROKEN— the product is broken.BAD_FLOWERS— low-quality flowers.
-
WRONG_ITEM:WRONG_ITEM— the wrong product.WRONG_COLOR— the color does not match the declared one.DID_NOT_MATCH_DESCRIPTION— the description or characteristics do not match the stated ones.WRONG_ORDER— someone else's order was delivered.WRONG_AMOUNT_DELIVERED— incorrect quantity of the product.PARCEL_MISSING— part of the order is missing.INCOMPLETE— the order was not delivered in full.
-
UNKNOWN— the details of the reason are not specified.
Enum:
USER_DID_NOT_LIKE,USER_CHANGED_MIND,DELIVERED_TOO_LONG,BAD_PACKAGE,DAMAGED,NOT_WORKING,INCOMPLETENESS,WRONG_ITEM,WRONG_COLOR,DID_NOT_MATCH_DESCRIPTION,WRONG_ORDER,WRONG_AMOUNT_DELIVERED,WRAPPING_DAMAGED,ITEM_WAS_USED,BROKEN,BAD_FLOWERS,PARCEL_MISSING,INCOMPLETE,UNKNOWNA list of refund solutions.
Min items:
1Example
[ { "returnItemId": 0, "count": 0, "comment": "example", "reasonType": "BAD_QUALITY", "subreasonType": "USER_DID_NOT_LIKE", "decisionType": "FAST_REFUND_MONEY", "refundAmount": 0, "amount": { "value": 0.5, "currencyId": "RUR" }, "partnerCompensation": 0, "partnerCompensationAmount": { "value": 0.5, "currencyId": "RUR" }, "images": [ "example" ] } ]instances
Type: object[]
cis
Type: string
The unit identification code in the system "An honest SIGN" or «ASL BELGISI» (for sellers Market Yandex Go).
Example:
exampleimei
Type: string
The international identifier of the mobile equipment.
Example:
examplestatus
Type: string
The logistical status of a specific product:
-
CREATED— refund has been created. -
RECEIVED— The refund was accepted from the sender. -
IN_TRANSIT— the return is on the way. -
READY_FOR_PICKUP— The refund is ready to be issued to the store. -
PICKED— The refund was issued to the store. -
RECEIVED_ON_FULFILLMENT— The refund is accepted at the Market warehouse. -
CANCELLED— The refund has been canceled. -
LOST— the refund is lost. -
UTILIZED— the refund has been disposed of. -
PREPARED_FOR_UTILIZATION— the return is ready for disposal. -
EXPROPRIATED— The items in the return are sent for resale. -
NOT_IN_DEMAND— The refund was not picked up from the mail.
Enum:
CREATED,RECEIVED,IN_TRANSIT,READY_FOR_PICKUP,PICKED,RECEIVED_ON_FULFILLMENT,CANCELLED,LOST,UTILIZED,PREPARED_FOR_UTILIZATION,EXPROPRIATED,NOT_IN_DEMANDstockType
Type: string
Type of stock remaining:
-
FIT— good enough. -
DEFECT— defective. -
ANOMALY— an anomaly. -
SURPLUS— excess. -
EXPIRED— overdue. -
MISGRADING— re-sorting. -
UNDEFINED— with an unknown status. -
INCORRECT_IMEI— an item with an incorrect IMEI. -
INCORRECT_SERIAL_NUMBER— an item with an incorrect serial number. -
INCORRECT_CIS— an item with an incorrect unit identification code in the system "An honest SIGN" or «ASL BELGISI» (for sellers Market Yandex Go). -
PART_MISSING— the shortage. -
NON_COMPLIENT— a product with multiple inconsistencies. -
NOT_ACCEPTABLE— a product that the Market does not accept. -
SERVICE— service drain. -
MARKDOWN— markdown. -
DEMO— the demo. -
REPAIR— repair. -
FIRMWARE— the firmware. -
UNKNOWN— unknown type of product.
Enum:
FIT,DEFECT,ANOMALY,SURPLUS,EXPIRED,MISGRADING,UNDEFINED,INCORRECT_IMEI,INCORRECT_SERIAL_NUMBER,INCORRECT_CIS,PART_MISSING,NON_COMPLIENT,NOT_ACCEPTABLE,SERVICE,MARKDOWN,DEMO,REPAIR,FIRMWARE,UNKNOWNA list of logistics return items.
Min items:
1Example
[ { "stockType": "FIT", "status": "CREATED", "cis": "example", "imei": "example" } ]marketSku
Type: integer
The ID of the product card on the Market.
Min value:
1tracks
Type: object[]
trackCode
Type: string
The track code of the mail item.
Example:
exampleA list of track codes for mail items.
Min items:
1Example
[ { "trackCode": "example" } ]The list of items in non-purchase or return.
Example
[ { "marketSku": 1, "shopSku": "example", "count": 0, "decisions": [ { "returnItemId": 0, "count": 0, "comment": "example", "reasonType": "BAD_QUALITY", "subreasonType": "USER_DID_NOT_LIKE", "decisionType": "FAST_REFUND_MONEY", "refundAmount": 0, "amount": { "value": 0.5, "currencyId": "RUR" }, "partnerCompensation": 0, "partnerCompensationAmount": { "value": 0.5, "currencyId": "RUR" }, "images": [ "example" ] } ], "instances": [ { "stockType": "FIT", "status": "CREATED", "cis": "example", "imei": "example" } ], "tracks": [ { "trackCode": "example" } ] } ]orderId
Type: integer
The order number.
returnType
Type: string
Type of filtration:
-
UNREDEEMED— non-purchases. -
RETURN— refunds.
If you do not specify it, the response will include both non-purchases and refunds.
Enum:
UNREDEEMED,RETURNamount
Type: object
currencyId
Type: string
Currency codes:
RUR— the Russian ruble.UAH— the Ukrainian hryvnia.BYR— the Belarusian ruble.KZT— Kazakhstani tenge.UZS— Uzbek sum.
Enum:
RUR,USD,EUR,UAH,AUD,GBP,BYR,BYN,DKK,ISK,KZT,CAD,CNY,NOK,XDR,SGD,TRY,SEK,CHF,JPY,AZN,ALL,DZD,AOA,ARS,AMD,AFN,BHD,BGN,BOB,BWP,BND,BRL,BIF,HUF,VEF,KPW,VND,GMD,GHS,GNF,HKD,GEL,AED,EGP,ZMK,ILS,INR,IDR,JOD,IQD,IRR,YER,QAR,KES,KGS,COP,CDF,CRC,KWD,CUP,LAK,LVL,SLL,LBP,LYD,SZL,LTL,MUR,MRO,MKD,MWK,MGA,MYR,MAD,MXN,MZN,MDL,MNT,NPR,NGN,NIO,NZD,OMR,PKR,PYG,PEN,PLN,KHR,SAR,RON,SCR,SYP,SKK,SOS,SDG,SRD,TJS,THB,TWD,BDT,TZS,TND,TMM,UGX,UZS,UYU,PHP,DJF,XAF,XOF,HRK,CZK,CLP,LKR,EEK,ETB,RSD,ZAR,KRW,NAD,TL,UEvalue
Type: number
Meaning.
Currency and its value.
Example
{ "value": 0.5, "currencyId": "RUR" }creationDate
Type: string<date-time>
The date when the non-purchase or refund was created.
Date format: ISO 8601 with an offset relative to UTC.
Example:
2020-02-02T14:30:30+03:00fastReturn
Type: boolean
Is the option used? A quick refund for a cheap marriage.
Relevant only for
returnType=RETURN.logisticPickupPoint
Type: object
address
Type: object
city
Type: string
City.
Example:
Москваcountry
Type: string
A country.
Example:
Россияhouse
Type: string
The house number.
Example:
9к2postcode
Type: string
Postal code.
Example:
123518street
Type: string
Street.
Example:
Стрелецкая улицаThe delivery address.
Example
{ "country": "Россия", "city": "Москва", "street": "Стрелецкая улица", "house": "9к2", "postcode": "123518" }id
Type: integer
ID of the pickup point.
instruction
Type: string
Additional instructions for export.
Example:
examplelogisticPartnerId
Type: integer
ID of the logistics partner that the logistics point belongs to.
name
Type: string
The name of the pick-up point.
Example:
exampletype
Type: string
Type of logistics point:
WAREHOUSE— warehouse.PICKUP_POINT— the usual point of issue of orders (PVZ).PICKUP_TERMINAL— parcel automat.PICKUP_POST_OFFICE— post office (OPS).PICKUP_MIXED— trading floor and order pick-up point.PICKUP_RETAIL— trading floor.
Enum:
WAREHOUSE,PICKUP_POINT,PICKUP_TERMINAL,PICKUP_POST_OFFICE,PICKUP_MIXED,PICKUP_RETAILDescription of the pick-up point for the return.
Example
{ "id": 0, "name": "example", "address": { "country": "Россия", "city": "Москва", "street": "Стрелецкая улица", "house": "9к2", "postcode": "123518" }, "instruction": "example", "type": "WAREHOUSE", "logisticPartnerId": 0 }pickupTillDate
Type: string<date-time>
The date before which you can pick up the product.
Only for non-purchases and refunds in the logistical status
READY_FOR_PICKUP.Date format: ISO 8601 with an offset relative to UTC.
Example:
2020-02-02T14:30:30+03:00refundAmount
Type: integer
Вместо него используйте
amount.The refund amount is in kopecks.
refundStatus
Type: string
Refund status:
-
STARTED_BY_USER— created by the buyer from his personal account. -
REFUND_IN_PROGRESS— awaiting a decision on a refund (pending). -
REFUNDED— The money has been refunded. -
FAILED— It is not possible to make a refund to the buyer. -
WAITING_FOR_DECISION— awaiting a decision (DBS). -
DECISION_MADE— A decision has been made on the refund (DBS). -
REFUNDED_WITH_BONUSES— The refund is made with Plus points or a promo code. -
REFUNDED_BY_SHOP— The store made a refund on its own. -
COMPLETE_WITHOUT_REFUND— No refund is required. -
CANCELLED— The refund has been canceled. -
REJECTED— The refund was rejected by moderation or by the PVZ. -
PREMODERATION_DISPUTE— There is a dispute over the refund (FBY, FBS and Express). -
PREMODERATION_DECISION_WAITING— awaiting a decision (FBY, FBS and Express). -
PREMODERATION_DECISION_MADE— A decision has been made on the refund (FBY, FBS and Express). -
PREMODERATION_SELECT_DELIVERY— the user chooses the delivery method (FBY, FBS and Express). -
UNKNOWN— unknown status, please contact support.
Enum:
STARTED_BY_USER,REFUND_IN_PROGRESS,REFUNDED,FAILED,WAITING_FOR_DECISION,DECISION_MADE,REFUNDED_WITH_BONUSES,REFUNDED_BY_SHOP,CANCELLED,REJECTED,COMPLETE_WITHOUT_REFUND,PREMODERATION_DISPUTE,PREMODERATION_DECISION_WAITING,PREMODERATION_DECISION_MADE,PREMODERATION_SELECT_DELIVERY,UNKNOWNshipmentRecipientType
Type: string
The buyer's return method:
-
SHOP— to the store's point of return. -
DELIVERY_SERVICE— send it by courier. -
POST— mail.
Enum:
SHOP,DELIVERY_SERVICE,POSTshipmentStatus
Type: string
Refund or non-purchase transfer status:
-
CREATED— The refund or non-purchase was created by the buyer (issued). -
RECEIVED— The refund is ready for shipment (accepted from the buyer). -
IN_TRANSIT— refund or non-purchase on the way (shipped). -
READY_FOR_PICKUP— The refund or non-purchase is ready for delivery to the store. -
PICKED— refund or non-purchase has been issued to the store. -
LOST— refund or non-purchase is lost (during transportation). -
EXPIRED— The buyer did not bring the product for return on time (the refund was canceled). -
CANCELLED— The refund or non-purchase has been canceled. -
FULFILMENT_RECEIVED— refund or non-purchase is accepted at the Market warehouse. -
PREPARED_FOR_UTILIZATION— The refund or non-purchase has been placed in the disposal queue. -
NOT_IN_DEMAND— The refund or non-purchase was not picked up from the post office. -
UTILIZED— refund or non-purchase is disposed of. -
READY_FOR_EXPROPRIATION— returned or non-repurchased goods are sent for resale (checking before sale). -
RECEIVED_FOR_EXPROPRIATION— returned or non-repurchased goods are accepted for resale (sale). -
UNKNOWN— unknown status, please contact support.
Enum:
CREATED,RECEIVED,IN_TRANSIT,READY_FOR_PICKUP,PICKED,LOST,EXPIRED,CANCELLED,FULFILMENT_RECEIVED,PREPARED_FOR_UTILIZATION,NOT_IN_DEMAND,UTILIZED,READY_FOR_EXPROPRIATION,RECEIVED_FOR_EXPROPRIATION,UNKNOWNupdateDate
Type: string<date-time>
The date of the non-purchase or refund update.
Date format: ISO 8601 with an offset relative to UTC.
Example:
2020-02-02T14:30:30+03:00Non-purchase or refund in the order.
Parameters
logisticPickupPoint,shipmentRecipientTypeandshipmentStatusit may not be in case of a refund:- With the option A quick refund for a cheap marriage when the product remains with the buyer (
fastReturn=true). - By order from a business, if:
- refund status
STARTED_BY_USERorWAITING_FOR_DECISION; - The refund was cancelled before the transfer of the product.
- refund status
Refund status
refundStatusrelevant only forreturnType=RETURN.Example
{ "id": 0, "orderId": 0, "creationDate": "2020-02-02T14:30:30+03:00", "updateDate": "2020-02-02T14:30:30+03:00", "refundStatus": "STARTED_BY_USER", "logisticPickupPoint": { "id": 0, "name": "example", "address": { "country": "Россия", "city": "Москва", "street": "Стрелецкая улица", "house": "9к2", "postcode": "123518" }, "instruction": "example", "type": "WAREHOUSE", "logisticPartnerId": 0 }, "pickupTillDate": "2020-02-02T14:30:30+03:00", "shipmentRecipientType": "SHOP", "shipmentStatus": "CREATED", "refundAmount": 0, "amount": { "value": 0.5, "currencyId": "RUR" }, "items": [ { "marketSku": 1, "shopSku": "example", "count": 0, "decisions": [ { "returnItemId": 0, "count": 0, "comment": "example", "reasonType": "BAD_QUALITY", "subreasonType": "USER_DID_NOT_LIKE", "decisionType": "FAST_REFUND_MONEY", "refundAmount": 0, "amount": {}, "partnerCompensation": 0, "partnerCompensationAmount": {}, "images": [ null ] } ], "instances": [ { "stockType": "FIT", "status": "CREATED", "cis": "example", "imei": "example" } ], "tracks": [ { "trackCode": "example" } ] } ], "returnType": "UNREDEEMED", "fastReturn": true }Example
{ "result": { "id": 0, "orderId": 0, "creationDate": "2020-02-02T14:30:30+03:00", "updateDate": "2020-02-02T14:30:30+03:00", "refundStatus": "STARTED_BY_USER", "logisticPickupPoint": { "id": 0, "name": "example", "address": { "country": "Россия", "city": "Москва", "street": "Стрелецкая улица", "house": "9к2", "postcode": "123518" }, "instruction": "example", "type": "WAREHOUSE", "logisticPartnerId": 0 }, "pickupTillDate": "2020-02-02T14:30:30+03:00", "shipmentRecipientType": "SHOP", "shipmentStatus": "CREATED", "refundAmount": 0, "amount": { "value": 0.5, "currencyId": "RUR" }, "items": [ { "marketSku": 1, "shopSku": "example", "count": 0, "decisions": [ {} ], "instances": [ {} ], "tracks": [ {} ] } ], "returnType": "UNREDEEMED", "fastReturn": true } } -
400 Bad Request
The request contains incorrect data. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
The authorization data is not specified in the request. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
The authorization data is incorrect or access to the resource is prohibited. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
404 Not Found
The requested resource was not found. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
The resource access limit has been exceeded. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Internal error of the Market. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
No longer supported, please use an alternative and newer version.